#!/bin/sh

VERSION=`cat CMakeLists.txt | grep -E '[[:space:]]*VERSION [0-9]+\.[0-9]+\.[0-9]+)' | awk '{print $2}' | cut -d\) -f1`

rm -rf vmadump_${VERSION}

mkdir vmadump_${VERSION}

cp AUTHORS CMakeLists.txt COPYING INSTALL.in NEWS archive.sh cmake_uninstall.cmake.in vmadump.1 vmadump.c  vmadump.html vmadump_${VERSION}

tar cvfz vmadump_${VERSION}.tgz vmadump_${VERSION}

rm -rf vmadump_${VERSION}

echo
echo "Source code available in vmadump_${VERSION}.tgz"

exit 0
